/*
Stores the scroll location on a story to local storage, and re-scroll to the
position next time the page is loaded.
*/
window.onbeforeunload = function(e) {
	localStorage.setItem(window.location.pathname,window.scrollY)
}
document.addEventListener("DOMContentLoaded", function(e) {
	var scrollpos = localStorage.getItem(window.location.pathname)
	if(scrollpos)
		window.scrollTo(0,scrollpos)
})
