# Hooks

Various functions that are exposed to the lua environment. These functions may be detoured to effect their behavior.

```
connect(req :: http_request) :: boolean
```
Called before smr business logic is run, may run additional validation on the request. Return @{falsey} by default, and continues onto the business logic of smr, return `true` if this function has handled the request, and no further processing is nessessary.

```
create_user(details :: table) :: boolean
```
Called when a user creates a user account on the site.

